/**
* Block Name: formular
*/

/**
* Block Name: formular
*/

/* JS disabled */

.noscript-message {
    color: rgb(214, 54, 55);
    text-align: center;
    font-weight: bold;
    padding: 10px 12px;
  }
  
  .form-container {
    display: none;
  }
  
  /* end JS disabled */
  
  section.formular {
    overflow: hidden;
  }
  
  section.formular .form-section {
    min-height: 424px;
  }
  
  section.formular .box_grey {
    background-color: #ddd;
    display: flex;
    flex-direction: row;
    gap: 30px;
    align-items: center;
    height: 135px;
    justify-content: space-between;
  }
  
  section.formular .box_grey::after {
    content: "";
    background-color: #ddd;
    width: 150vw;
    height: 135px;
    position: absolute;
    z-index: -1;
    left: -50vw;
  }
  
  section.formular .box_grey .captcha_container {
    width: 50%;
  }
  
  /* The Modal (background) */
  .modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
  }
  
  /* Modal Content/Box */
  .modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 30px;
    border: 1px solid #888;
    border-radius: 0;
    width: 450px;
    height: 250px;
  }
  
  /* The Close Button */
  
  #exitButton svg {
    transition: all 0.4s ease;
  }
  
  #exitButton:hover svg {
    transform: translateX(-5px);
  }
  .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 15px;
    -webkit-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    transition: 0.3s ease;
    -ms-transition: 0.3s ease;
  }
  
  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }
  
  .modal-content a.btn-primary {
    width: max-content;
  }
  
  .modal-content a {
    -webkit-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    transition: 0.3s ease;
    -ms-transition: 0.3s ease;
  }
  
  section.formular .prev-button,
  section.formular .next-button {
    gap: 11px;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-bottom: 10px;
  }
  
  section.formular .prev-button:disabled,
  section.formular .next-button:disabled,
  section.formular .submit-button:disabled {
    opacity: 0.33;
  }
  
  section.formular .form-group {
    display: flex;
    flex-direction: column;
    gap: 30px;
  }
  
  section.formular input#user_email,
  section.formular input#user_name,
  section.formular input#user_surname,
  section.formular input#user_birthday,
  section.formular input#user_firma {
    border: 1px solid #c5c5c5;
    border-radius: 2px;
    padding: 15px;
    max-width: 50%;
  }
  
  section.formular .download {
    color: #666;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    border-top: 1px solid #404040 !important;
    border-bottom: 1px solid #404040 !important;
    padding: 20px 0;
  }
  
  section.formular .download::after {
    position: absolute;
    right: 0;
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg width='28' height='24' viewBox='0 0 28 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg id='Blocks---Listen'%3E%3Cg id='List_Download@XL'%3E%3Cg id='Download'%3E%3Cpath id='Path' d='M28 23.0175H0.70752V15.0572H2.014V21.6916H26.6935V15.0572H28V23.0175Z' fill='%2362625F'/%3E%3Cpath id='Path_2' d='M22.8827 9.81786L14.0695 18.4687L5.25635 9.81786H7.10134L13.4282 16.0304V0.273743H14.7109V16.0304L21.0298 9.81786H22.8827Z' fill='%2362625F'/%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
    width: 28px;
    height: 24px;
  }
  
  section.formular .download:hover {
    text-decoration: none !important;
  }
  
  section.formular label {
    margin-bottom: 0 !important;
  }
  
  section.formular .image input[type="radio"],
  section.formular .image input[type="checkbox"] {
    display: none; /* Hide the radio button */
  }
  
  section.formular .radio-answer,
  section.formular .checkbox-answer {
    max-width: 50%;
  }
  
  section.formular .radio-answer .image,
  section.formular .checkbox-answer .image {
    border: 2px solid transparent;
    border-radius: 2px;
    padding: 10px;
    transition: border-color 0.3s;
  }
  
  section.formular .radio-answer .image:hover,
  section.formular .radio-answer .image.selected,
  section.formular .checkbox-answer .image:hover,
  section.formular .checkbox-answer .image.selected {
    border-color: #002f6b;
  }
  
  section.formular input[type="radio"],
  section.formular input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 20px;
    height: 20px;
    border: 1px solid #404040;
    border-radius: 0; /* Removes the default rounded corners */
    display: inline-block;
    position: relative;
  
    flex-shrink: 0; /* Prevent radio button from shrinking */
    margin-right: 15px; /* Adjust margin to give more space */
  }
  
  section.formular input[type="radio"]:checked::before,
  section.formular input[type="checkbox"]:checked::before {
    content: "";
    width: 20px;
    height: 20px;
    background-color: #404040;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  section.formular select {
    min-width: 60%;
    min-height: 40px;
  }
  
  /* captcha */
  
  #cptch_slide_slider {
    background: #002f6b;
  }
  
  @media (max-width: 992px) {
    section.formular .radio-answer,
    section.formular .checkbox-answer {
      max-width: 100%;
    }
    #exitButton {
      padding-bottom: 30px;
    }
  }
  